Generation Framework

## org.eclipse.gmf.gmfgraph
Interface SVGProperty

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SVGPropertyImpl

    public interface SVGProperty

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'SVG Property'.

The following features are supported:

- `Query`
- `Attribute`
- `Type`
- `Getter`
- `Setter`
- `Call Super`

See Also:
  `GMFGraphPackage.getSVGProperty()`
** Generated **
Model:

Method Summary
`java.lang.String` `getAttribute()` Returns the value of the 'Attribute' attribute
`java.lang.String` `getGetter()` Returns the value of the 'Getter' attribute
`java.lang.String` `getQuery()` Returns the value of the 'Query' attribute
`java.lang.String` `getSetter()` Returns the value of the 'Setter' attribute
`SVGPropertyType` `getType()` Returns the value of the 'Type' attribute.
`boolean` `isCallSuper()` Returns the value of the 'Call Super' attribute
`void` `setAttribute(java.lang.String value)` Sets the value of the '`Attribute`' attribute
`void` `setCallSuper(boolean value)` Sets the value of the '`Call Super`' attribute
`void` `setGetter(java.lang.String value)` Sets the value of the '`Getter`' attribute
`void` `setQuery(java.lang.String value)` Sets the value of the '`Query`' attribute
`void` `setSetter(java.lang.String value)` Sets the value of the '`Setter`' attribute
`void` `setType(SVGPropertyType value)` Sets the value of the '`Type`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQuery

    java.lang.String getQuery()

  Returns the value of the 'Query' attribute.

  If the meaning of the 'Query' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query' attribute.
  See Also:
    `setQuery(String)`, `GMFGraphPackage.getSVGProperty_Query()`
  ** Generated **
  Model:

### setQuery

    void setQuery(java.lang.String value)

  Sets the value of the '`Query`' attribute.

  Parameters:
    `value` - the new value of the 'Query' attribute.
  See Also:
    `getQuery()`
  ** Generated **

### getAttribute

    java.lang.String getAttribute()

  Returns the value of the 'Attribute' attribute.

  If the meaning of the 'Attribute' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' attribute.
  See Also:
    `setAttribute(String)`, `GMFGraphPackage.getSVGProperty_Attribute()`
  ** Generated **
  Model:

### setAttribute

    void setAttribute(java.lang.String value)

  Sets the value of the '`Attribute`' attribute.

  Parameters:
    `value` - the new value of the 'Attribute' attribute.
  See Also:
    `getAttribute()`
  ** Generated **

### getType

    SVGPropertyType getType()

  Returns the value of the 'Type' attribute. The literals are from the enumeration `SVGPropertyType`.

  If the meaning of the 'Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type' attribute.
  See Also:
    `SVGPropertyType`, `setType(SVGPropertyType)`, `GMFGraphPackage.getSVGProperty_Type()`
  ** Generated **
  Model:

### setType

    void setType(SVGPropertyType value)

  Sets the value of the '`Type`' attribute.

  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `SVGPropertyType`, `getType()`
  ** Generated **

### getGetter

    java.lang.String getGetter()

  Returns the value of the 'Getter' attribute.

  If the meaning of the 'Getter' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Getter' attribute.
  See Also:
    `setGetter(String)`, `GMFGraphPackage.getSVGProperty_Getter()`
  ** Generated **
  Model:

### setGetter

    void setGetter(java.lang.String value)

  Sets the value of the '`Getter`' attribute.

  Parameters:
    `value` - the new value of the 'Getter' attribute.
  See Also:
    `getGetter()`
  ** Generated **

### getSetter

    java.lang.String getSetter()

  Returns the value of the 'Setter' attribute.

  If the meaning of the 'Setter' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Setter' attribute.
  See Also:
    `setSetter(String)`, `GMFGraphPackage.getSVGProperty_Setter()`
  ** Generated **
  Model:

### setSetter

    void setSetter(java.lang.String value)

  Sets the value of the '`Setter`' attribute.

  Parameters:
    `value` - the new value of the 'Setter' attribute.
  See Also:
    `getSetter()`
  ** Generated **

### isCallSuper

    boolean isCallSuper()

  Returns the value of the 'Call Super' attribute.

  If the meaning of the 'Call Super' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Call Super' attribute.
  See Also:
    `setCallSuper(boolean)`, `GMFGraphPackage.getSVGProperty_CallSuper()`
  ** Generated **
  Model:

### setCallSuper

    void setCallSuper(boolean value)

  Sets the value of the '`Call Super`' attribute.

  Parameters:
    `value` - the new value of the 'Call Super' attribute.
  See Also:
    `isCallSuper()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.